Index: code/branches/presentationHS13/data/levels/EscapeTheBastards.oxw
===================================================================
--- code/branches/presentationHS13/data/levels/EscapeTheBastards.oxw	(revision 9924)
+++ code/branches/presentationHS13/data/levels/EscapeTheBastards.oxw	(revision 9924)
@@ -0,0 +1,1402 @@
+<!-- -->
+
+<!--Basic----------------------------------------------------------------------------------------------------------------------------------------------------------------------->
+							<!--Basic Infos-->
+
+<LevelInfo
+ name = "Escape the bastards"
+ description = "You destroyed their Base, you accomplished the mission. Now get out of there, and get rid of the haunters"
+ tags = "mission"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/pickupRepresentationTemplates.oxt")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipEscort.oxt")
+  include("templates/spaceshipCollateralDamage.oxt")
+  include("templates/spaceshipTurret.oxt")
+?>
+
+  <NotificationQueueCEGUI
+    name="narrative"
+    targets="simpleNotification"
+    size=3
+    displayTime=4
+    position="0.2, 0, 0.1, 0"
+    fontSize="23"
+    fontColor="0, 0.5, 1, 0.9"
+    alignment="HorzCentred"
+    displaySize="0.6, 0, 0, 0"
+    />
+
+<Level
+  name = "Escape the bastards"
+  description = "You destroyed their Base, you accomplished the mission. Now get out of there, and get rid of the haunters"
+  gametype=Mission
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/skyBoxMoreNebula" 
+  >
+
+    <?lua
+      include("includes/pickups.oxi")
+    ?>
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+
+	
+
+    <!-- SpawnPoint team=0 position="-1000,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff / -->
+
+<!-- Pickups -->
+
+    <PickupSpawner pickup=dronepickup position="-5000,-1300,-209" triggerDistance="10" respawnTime="30" maxSpawnedItems="10" />
+
+    <PickupSpawner pickup=hugehealthpickup position="0,-4,-940" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" visible="true">
+                            <events>
+                                <visibility>
+                                    <EventListener event="boxtrigger" />
+                                </visibility>
+                            </events>
+	</PickupSpawner>
+    <PickupSpawner pickup=mediumspeedpickup position="0,4,-940" triggerDistance="10" respawnTime="10" maxSpawnedItems="99"  visible="true">
+                            <events>
+                                <visibility>
+                                    <EventListener event="boxtrigger" />
+                                </visibility>
+                            </events>
+	</PickupSpawner>
+
+<!-- Pickups heal the box, so one cant destroy the box -->
+
+<!-- Pickups END -->
+							<!--Basic Infos end-->
+
+<!--Story----------------------------------------------------------------------------------------------------------------------------------------------------------------------->
+
+
+<!--Quests (Fly to the Ally)-->
+    <EventMultiTrigger name=spawntrigger>
+        <events>
+            <trigger>
+
+                <TeamSpawnPoint team=0 position="-8050,0,0" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage>
+<!-- Spawnpoint aendern zu -8050,0,0 nachher direction="1,0.3,0.2"-->
+<!-- Spawnpoint aendern zu 3000,12000,-5500 nachher direction="0.3,1.2,-5.5" Fuer homeplanet-->
+<!-- Spawnpoint aendern zu -46950,-30000,30000 nachher direction="1,0,0" Fuer inBox-->
+                  <EventTrigger invert=true>
+                    <events>
+                      <trigger>
+                        <EventListener event="missionfinish" />
+                      </trigger>
+                    </events>
+                  </EventTrigger>
+                </TeamSpawnPoint>
+            </trigger>
+        </events>
+    </EventMultiTrigger>
+
+
+    <TeamSpawnPoint team=0 position="0,-2500,0" direction="0,-1,0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage active =false>
+        <events>
+            <activity>
+                <EventListener event="reachedally" />
+            </activity>
+        </events>
+    </TeamSpawnPoint>
+
+    <TeamSpawnPoint team=0 position="-46950,-30000,30000" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage active =false>
+        <events>
+            <activity>
+                <EventListener event="reachedhomeplanet" />
+            </activity>
+        </events>
+    </TeamSpawnPoint>
+
+
+
+
+        <QuestEffectBeacon times=1>
+            <effects>
+                <AddQuest questId="Helpisontheway.1" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event=spawntrigger />
+                </execute>
+            </events>
+        </QuestEffectBeacon>
+
+        <QuestEffectBeacon times=1>
+            <effects>
+                <CompleteQuest questId="Helpisontheway.1" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event="missionfinish" />
+                </execute>
+            </events>
+        </QuestEffectBeacon>
+
+
+        <QuestEffectBeacon times=1 >
+            <effects>
+                <CompleteQuest questId="defend.2" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event="Boxdestroyed" />
+                </execute>
+            </events>
+        </QuestEffectBeacon>
+
+        <QuestEffectBeacon times=1 >
+            <effects>
+                <CompleteQuest questId="leave.3" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event="reachedhomeplanet" />
+                </execute>
+            </events>
+        </QuestEffectBeacon>
+
+        <QuestEffectBeacon times=1 >
+            <effects>
+                <CompleteQuest questId="wayhome.4" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event="reachedend" />
+                </execute>
+            </events>
+        </QuestEffectBeacon>
+
+			<!-- END OF GAME -->
+    <SimpleNotification message="Well done, you've finished">
+        <events>
+            <trigger>
+                <EventListener event=reachedend />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+    <Script code="Mission endMission true" onLoad="false">
+        <events>
+            <trigger>
+                <EventListener event="reachedend" />
+            </trigger>
+        </events>
+    </Script>
+			<!-- END OF GAME END -->
+
+
+        <DistanceTrigger name="missionfinish" position="-120,0,0" target="Pawn" distance=60 stayActive="true" delay=1>
+    </DistanceTrigger>
+ 	<DistanceTrigger name="reachedally" position="-120,0,0" target="Pawn" distance=60 stayActive="true" delay=2>
+    </DistanceTrigger>
+ 	<DistanceTrigger name="reachedhomeplanet" position="-3000,12000,-6990" target="Pawn" distance=60 stayActive="true" delay=2>
+    </DistanceTrigger>
+ 	<DistanceTrigger name="reachedend" position="-41000,-30000,33800" target="Pawn" distance=60 stayActive="true" delay=2>
+    </DistanceTrigger>
+
+          <EventTrigger name="boxtrigger" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="box" />
+              </trigger>
+            </events>
+          </EventTrigger>
+
+
+<!-- Billboard Allyplanet -->
+
+<BlinkingBillboard position="-120,0,0" frequency=0.4 amplitude=3 material="Flares/lensflare" colour="1,1,0.05">
+          <events>
+            <visibility>
+              <EventTrigger invert=true>
+                <events>
+                  <trigger>
+                    <EventListener event="missionfinish" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+            </visibility>
+          </events>
+</BlinkingBillboard>
+
+<Billboard position="-120,0,0" amplitude=1 material="Flares/lensflare" colour="0,0.8,0.1">
+          <events>
+            <visibility>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="missionfinish" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+            </visibility>
+          </events>
+</Billboard>
+
+<!-- Billboard Allyplanet END-->
+
+
+<!-- Box with Pickups -->
+    <Pawn team=1 health=30 position="0,0,-900" direction="0,-1,0" collisionType=dynamic mass=100000 name=box radarname = "Something" >
+        <events>
+          <visibility>
+            <EventListener event="target3" />
+          </visibility>
+        </events>
+        <attached>
+            <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+        </collisionShapes>
+	<controller>
+                      <WaypointController team=1>
+                    </WaypointController>
+        </controller>
+    </Pawn>
+
+<Billboard position="0,0,-940" amplitude=1 material="Flares/lensflare" colour="0,0.8,0.1">
+          <events>
+            <visibility>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="boxtrigger" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+            </visibility>
+          </events>
+</Billboard>
+<!-- Box with Pickups END -->
+
+<!-- Billboard Homeplanet -->
+
+<!-- evt Blinking light before landing on planet, Entfernen nach architektur-->
+<BlinkingBillboard position="-3000,12000,-6990" frequency=0.4 amplitude=3 material="Flares/lensflare" colour="1,1,0.05">
+          <events>
+            <visibility>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="boxtrigger"/> <!-- reachedhomeplanet--> 
+                  </trigger>
+                </events>
+              </EventTrigger>
+            </visibility>
+          </events>
+</BlinkingBillboard>
+
+
+<!-- Billboard Homeplanet END-->
+
+
+<!--Quests (Fly to the Ally) END-->
+
+<!--Quests (Fight Enemies)-->
+
+
+ <SpaceShip position="1000,0,0" lookat="0,0,1" name="attacker" radarname="Fighter1" visible="true">
+                            <events>
+                                <visibility>
+                                    <EventListener event="missionfinish" />
+                                </visibility>
+                            </events>
+
+                    <templates>
+                      <Template link=spaceshippirate />
+                    </templates>
+                    <controller>
+                      <WaypointPatrolController alertnessradius=750  team=1 active=false>
+                         <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="1000,0,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="500,500,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,1000,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="-500,500,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="-1000,0,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="-500,-500,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,-1000,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="500,-500,0"/>
+                       </waypoints>
+                       <events>
+                         <activity>
+                              <EventListener event="reachedally" />
+                         </activity>
+                       </events>
+                    </WaypointPatrolController>
+                  </controller>
+                </SpaceShip>
+
+ <SpaceShip position="0,1000,0" lookat="1,0,0" name="attacker" radarname="Fighter2" visible="true">
+                            <events>
+                                <visibility>
+                                    <EventListener event="missionfinish" />
+                                </visibility>
+                            </events>
+                    <templates>
+                      <Template link=spaceshippirate />
+                    </templates>
+                    <controller>
+                      <WaypointPatrolController alertnessradius=750  team=1 active=false>
+                         <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="0,1000,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,500,500"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,0,1000"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,-500,500"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,-1000,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,-500,-500"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,0,-1000"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,500,-500"/>
+                       </waypoints>
+                       <events>
+                         <activity>
+                              <EventListener event="reachedally" />
+                         </activity>
+                       </events>
+                    </WaypointPatrolController>
+                  </controller>
+                </SpaceShip>
+
+ <SpaceShip position="0,0,1000" lookat="0,1,0" name="attacker" radarname="Fighter3" visible="true">
+                            <events>
+                                <visibility>
+                                    <EventListener event="missionfinish" />
+                                </visibility>
+                            </events>
+                    <templates>
+                      <Template link=spaceshippirate />
+                    </templates>
+                    <controller>
+                      <WaypointPatrolController alertnessradius=750  team=1 active=false>
+                         <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="1000,0,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="500,0,500"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,0,1000"/>
+                        <Model mesh="cube.mesh" scale=0 position="-500,0,500"/>
+                        <Model mesh="cube.mesh" scale=0 position="-1000,0,0"/>
+                        <Model mesh="cube.mesh" scale=0 position="-500,0,-500"/>
+                        <Model mesh="cube.mesh" scale=0 position="0,0,-1000"/>
+                        <Model mesh="cube.mesh" scale=0 position="500,0,-500"/>
+                       </waypoints>
+                       <events>
+                         <activity>
+                              <EventListener event="reachedally" />
+                         </activity>
+                       </events>
+                    </WaypointPatrolController>
+                  </controller>
+                </SpaceShip>
+
+<!-- @Triggers: Attakers, Fight one by one  -->
+
+	<EventTrigger name="target3" activations="1" stayactive="true" delay=0.1>
+     	 <events>
+     	   <trigger>
+        	  <EventListener event="attacker" />
+      	  </trigger>
+     	 </events>
+   	<EventTrigger name="target2" activations="1" stayactive="true" delay=0.1>
+      	  <events>
+     	     <trigger>
+    	        <EventListener event="attacker" />
+     	     </trigger>
+  	  </events>
+   	<EventTrigger name="target1" activations="1" stayactive="true" delay=0.1>
+      	  <events>
+     	     <trigger>
+    	        <EventListener event="attacker" />
+     	     </trigger>
+  	  </events>
+      	</EventTrigger>
+    	</EventTrigger>
+    	</EventTrigger>
+
+
+    <SimpleNotification message="Wow, That's an explosion."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="target1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="Booom, you got him!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="target2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+    <SimpleNotification message="No Mercy!! .. What's that?"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="target3" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+
+
+<!-- @Triggers: Attakers, Fight one by one END  -->
+
+
+<!--Quests (Fight Enemies) END-->
+
+
+<!-- LocalQuests -->
+    <LocalQuest id="Helpisontheway.1">
+        <QuestDescription title="Help is on the way" description="An allied pilot is cast away on a planet in front of you. Pick him up and leave.
+
+
+		Hint: He will blink with his lamp
+
+		PS: Remind the gravitation field"
+
+ 
+	failmessage="Well, you sucked" completeMessage="Well done, You're a hero" />
+        <complete-effects>
+            <AddQuest questId="defend.2" />
+        </complete-effects>
+    </LocalQuest>
+
+
+    <LocalQuest id="defend.2">
+        <QuestDescription title="Defend the Planet" description="Well your enemies trapped you. Kill'em all."
+
+	failmessage="Well, you sucked" completeMessage="Well done, You're a hero" />
+        <complete-effects>
+            <AddQuest questId="leave.3" />
+        </complete-effects>
+    </LocalQuest>
+
+
+
+    <LocalQuest id="leave.3">
+        <QuestDescription title="Leave the Place" description="You've blown their minds. Let's go home. Aim the Big blue planet to reach your home." failmessage="" completeMessage="" />
+        <complete-effects>
+            <AddQuest questId="wayhome.4" />
+        </complete-effects>
+    </LocalQuest>
+
+    <LocalQuest id="wayhome.4">
+        <QuestDescription title="Let's go home" description="You've reached the portal. You've been teleportet to the passage to your home, but your enemies trapped you again" failmessage="" completeMessage="" />
+        <complete-effects>
+            <AddQuest questId="end.5" />
+        </complete-effects>
+    </LocalQuest>
+
+<!-- LocalQuests END -->
+
+<!-- Message Triggers -->
+    <DistanceTrigger name="StartofMission" position="-8050,0,0" target="Pawn" distance=10 stayActive="true" delay=1.2/>
+    <SimpleNotification message="Houston: John can you hear me?">
+        <events>
+            <trigger>
+                <EventListener event="StartofMission" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="Introduction1" position="-8050,0,0" target="Pawn" distance=30 stayActive="true" delay=6.4/>
+    <SimpleNotification message="John: No. Can i go home now?">
+        <events>
+            <trigger>
+                <EventListener event="Introduction1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="Introduction2" position="-8050,0,0" target="Pawn" distance=30 stayActive="true" delay=10.8/>
+    <SimpleNotification message="Houston: Not yet, another ally needs your help.">
+        <events>
+            <trigger>
+                <EventListener event="Introduction2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="Introduction3" position="-8050,0,0" target="Pawn" distance=30 stayActive="true" delay=15.2/>
+    <SimpleNotification message="Houston: He had to force land near you.">
+        <events>
+            <trigger>
+                <EventListener event="Introduction3" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+    <DistanceTrigger name="PickedUpAlly" position="-120,0,0" target="Pawn" distance=30 stayActive="true" delay=0.1/>
+    <SimpleNotification message="John: Are you kidding me, thats a kitty.">
+        <events>
+            <trigger>
+                <EventListener event="PickedUpAlly" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="PickedUpAlly1" position="-120,0,0" target="Pawn" distance=30 stayActive="true" delay=4.4/>
+    <SimpleNotification message="Houston: ... but if there is no ally...">
+        <events>
+            <trigger>
+                <EventListener event="PickedUpAlly1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="PickedUpAlly2" position="-120,0,0" target="Pawn" distance=30 stayActive="true" delay=8.8/>
+    <SimpleNotification message="Houston: F***, they trapped us">
+        <events>
+            <trigger>
+                <EventListener event="PickedUpAlly2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+    <SimpleNotification message="Houston: Pickups! Pick them up :-)"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="boxtrigger" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="Boxdestroyed" position="0,0,-940" target="SpaceShip" distance=30 stayActive="true" delay=0.1 />
+    <SimpleNotification message="Houston: Now aim the blue planet">
+        <events>
+            <trigger>
+                <EventListener event="Boxdestroyed" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="Boxdestroyed2" position="2200,1000,-600" target="SpaceShip" distance=30 stayActive="true" delay=4.4 />
+    <SimpleNotification message="Houston: Land near the blinking light!">
+        <events>
+            <trigger>
+                <EventListener event="Boxdestroyed2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="Houston: You're almost there">
+        <events>
+            <trigger>
+                <EventListener event="reachedhomeplanet" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+<DistanceTrigger name="cave1" position="-46300,-30000,30000" target="SpaceShip" distance=30 stayActive="true" delay=0.1 />
+    <SimpleNotification message="Houston: You reached the cave, you're safe!!">
+        <events>
+            <trigger>
+                <EventListener event="cave1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+<DistanceTrigger name="cave2" position="-46300,-30000,30000" target="SpaceShip" distance=30 stayActive="true" delay=4.4 />
+    <SimpleNotification message="Houston: ... wait it's a tr#@$%&^#$...">
+        <events>
+            <trigger>
+                <EventListener event="cave2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+<DistanceTrigger name="cave2" position="-46300,-30000,30000" target="SpaceShip" distance=30 stayActive="true" delay=4.4 />
+    <SimpleNotification message="John: not again ...">
+        <events>
+            <trigger>
+                <EventListener event="cave2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+    <SimpleNotification message="Sanchez: I waited for you ...">
+        <events>
+            <trigger>
+                <EventListener event="Reachedtheend" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+
+<!-- Message Triggers END -->
+
+<!--Quests____END-->
+
+
+
+<!--Enviroment-------------------------------------------------------------------------------------------------------------------------------------------------------------------->
+
+							<!--Asteroids Field-->
+
+	<?lua for i=0,750,1 do
+		x=math.random(-8000,-1000)
+		y=math.random(-2345,2345)
+		z=math.random(-2500,2500)
+	scale=math.random(20,70)
+	?>
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>"       collisiondamage = 0.01
+      enablecollisiondamage = true >
+    	<attached>
+        	<Model scale="<?lua print(scale) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
+   	 </attached>
+   	 <collisionShapes>
+      	 	<SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
+    	</collisionShapes>
+	</MovableEntity>
+	<?lua end ?>
+
+							<!--Asteroids Field end -->
+
+
+							<!--Asteroids Random
+
+				"The game lags, when you're flying far away"
+
+
+	<?lua for i=0,300,1 do
+		x=math.random(-12000,4000)
+		y=math.random(-8000,8000)
+		z=math.random(-8000,8000)
+	?>
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>"      collisiondamage = 0.01
+      enablecollisiondamage = true  >
+    	<attached>
+        	<Model scale="<?lua print(math.random(20,70)) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
+    	</attached>
+    	<collisionShapes>
+            <SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
+        </collisionShapes>
+	</MovableEntity>
+	<?lua end ?>
+-->
+							<!--Asteroids  Random end-->
+
+    							<!--Asteroid Elipse-->
+<!-- LAAAGS :-(
+
+				"The game lags, when you're flying far away"		
+
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(-3000,12000,-10000, 30, 0, 30, 30, 50, 7190, 7800, 250, 1)
+    ?>
+
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(-3000,12000,-10000, 30, 0, 30, 30, 50, 14000, 15000, 350, 1)
+    ?>
+-->
+
+
+    <?lua
+    max = 20
+    for i = 0, max, 1
+    do
+    y = math.sin(i/max*6)*2000
+    z = math.cos(i/max*6)*2500
+    x = 0
+    ?>
+    <?lua
+    for k = 1, 15, 1
+    do
+    j = math.random()
+    ?>
+
+    <MovableEntity
+      position = "<?lua print(x + math.random() * 500) ?>,<?lua print(y + math.random() * 500) ?>,<?lua print(z + math.random() * 1000) ?>"
+      collisionType = "dynamic"
+      linearDamping = "0.5"
+      angularDamping = "0.01"
+      collisiondamage = "0.01"
+      enablecollisiondamage = "true"
+      scale="<?lua print(j * 5) ?>" >
+      <attached>
+        <Model position="0,0,0" scale="<?lua print(j * 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
+      <?lua if k == 5 then ?><attached>			<!--asteroid fog-->
+            <ParticleEmitter position="0,0,0" source="Orxonox/Steam" />
+          </attached> <?lua end ?>
+        </Model>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 80) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+    <?lua
+    end
+    ?>
+    <?lua end ?>
+							<!--Asteroid Elipse end-->
+
+							<!--Planet sun-->
+    <Planet position="15000,0,0" scale=1500 pitch=-90 mesh="planets/sol.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=0 imagesize=1024.0f />
+    <StaticEntity position="2600,0,0" collisionType=static>
+        <collisionShapes>
+            <SphereCollisionShape radius="399" />
+        </collisionShapes>
+    </StaticEntity>
+
+    <Billboard position="15100,0,0" material="Flares/backlightflare" colour="0.7,0.4,0.1" scale=600 />
+
+						<!--Planet END-->
+
+							<!--Planet with Ally-->
+    <Planet
+      position="0,0,0"
+      scale="100"
+      collisionType="dynamic"
+      linearDamping="0.8"
+      angularDamping="0"
+      mass="5000000"
+      pitch="0"
+      mesh="planets/muunilinst.mesh"
+      atmosphere="atmosphere1"
+      rotationaxis="1,0,0"
+      rotationrate="1.0"
+      atmospheresize="80.0f"
+      imagesize="1024.0f"
+    >
+      <attached>
+        <ForceField position="0,0,0" mode="sphere" diameter="1000" velocity="-500" />
+                    <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="100" position="0,0,0" />
+      </collisionShapes>
+    </Planet>
+							<!-- Planet with Ally END-->
+
+
+							<!-- Homeplanet -->
+    <Planet
+      position="-3000,12000,-10000"
+      scale="3000"
+      collisionType="dynamic"
+      linearDamping="0.8"
+      angularDamping="0"
+      mass="5000000000000"
+      pitch="0"
+      mesh="iceplanet.mesh"
+      atmosphere="atmosphere1"
+      rotationaxis="0,0,0"
+      rotationrate="0.0"
+      atmospheresize="80.0f"
+      imagesize="1024.0f"
+    >
+      <attached>
+        <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-900" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="3000" position="0,0,0" />
+      </collisionShapes>
+    </Planet>
+  							<!-- Homeplanet  END-->
+
+							<!-- Planet around the cave-->
+
+<Planet position="-43500,-30000,31900" scale=5000 pitch=-90 mesh="planets/moon.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=0 imagesize=1024.0f />
+
+							<!-- Planet around the cave END-->
+
+							<!-- Anotherplanet -->
+    <Planet
+      position="-20000,6000,7000"
+      scale="3000"
+      collisionType="dynamic"
+      linearDamping="0.8"
+      angularDamping="0"
+      mass="5000000000000"
+      pitch="0"
+      mesh="planets/ganymede.mesh"
+      atmosphere="atmosphere1"
+      rotationaxis="0,0,0"
+      rotationrate="0.0"
+      atmospheresize="80.0f"
+      imagesize="1024.0f"
+    >
+      <collisionShapes>
+        <SphereCollisionShape radius="3000" position="0,0,0" />
+      </collisionShapes>
+    </Planet>
+<!-- LAAAGS :-(
+
+				"The game lags, when you're flying far away"
+
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(-20000,6000,7000, 30, 0, 30, 30, 50, 7190, 7800, 250, 1)
+    ?>
+-->
+  							<!-- Anotherplanet  END-->
+
+  							<!-- Homeplanet Architecture-->
+<!-- -3000,12000,-6990  = Billboard position-->
+
+     <!-- 	<Model  position="-3070,12070,-6990" yaw="90" pitch="-90" roll="0" scale="70" mesh="asteroid_ice.mesh" >
+      <collisionShapes>
+        <SphereCollisionShape radius="70" position="0,0,0" />
+      </collisionShapes>
+	</Model>
+-->
+
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="500"  pitch="90" roll="86" yaw="12" position="-2900,12080,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+    	<attached>
+        	<Model scale="70" mesh="asteroid_ice.mesh"  shadow=false/>
+   	 </attached>
+   	 <collisionShapes>
+      	 	<SphereCollisionShape radius="70" />
+    	</collisionShapes>
+	</MovableEntity>
+
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"   pitch="30" roll="11" yaw="51" position="-3200,11950,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+    	<attached>
+        	<Model scale="90" mesh="asteroid_ice.mesh"  shadow=false/>
+   	 </attached>
+   	 <collisionShapes>
+      	 	<SphereCollisionShape radius="90" />
+    	</collisionShapes>
+	</MovableEntity>
+
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"  pitch="0" roll="12" yaw="81"  position="-2800,12150,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+    	<attached>
+        	<Model scale="90" mesh="asteroid_ice.mesh"  shadow=false/>
+   	 </attached>
+   	 <collisionShapes>
+      	 	<SphereCollisionShape radius="90" />
+    	</collisionShapes>
+	</MovableEntity>
+
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"  pitch="0" roll="0" yaw="0" position="-3300,11800,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+    	<attached>
+        	<Model scale="155" mesh="asteroid_ice.mesh"  shadow=false/>
+   	 </attached>
+   	 <collisionShapes>
+      	 	<SphereCollisionShape radius="155" />
+    	</collisionShapes>
+	</MovableEntity>
+
+
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"  pitch="0" roll="0" yaw="12" position="-3230,12300,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+    	<attached>
+        	<Model scale="150" mesh="asteroid_ice.mesh"  shadow=false/>
+   	 </attached>
+   	 <collisionShapes>
+      	 	<SphereCollisionShape radius="150" />
+    	</collisionShapes>
+	</MovableEntity>
+
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500" pitch="13" roll="23"yaw="120" position="-3000,12000,-6820" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+    	<attached>
+        	<Model scale="100" mesh="asteroid_ice.mesh"  shadow=false/>
+   	 </attached>
+   	 <collisionShapes>
+      	 	<SphereCollisionShape radius="100" />
+    	</collisionShapes>
+	</MovableEntity>
+
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500" pitch="2" roll="12" yaw="43" position="-3250,12100,-6850" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+    	<attached>
+        	<Model scale="70" mesh="asteroid_ice.mesh"  shadow=false/>
+   	 </attached>
+   	 <collisionShapes>
+      	 	<SphereCollisionShape radius="70" />
+    	</collisionShapes>
+	</MovableEntity>
+
+	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500" pitch="0" roll="0" yaw="0"  position="-3230,11800,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+    	<attached>
+        	<Model scale="85" mesh="asteroid_ice.mesh"  shadow=false/>
+   	 </attached>
+   	 <collisionShapes>
+      	 	<SphereCollisionShape radius="85" />
+    	</collisionShapes>
+	</MovableEntity>
+
+ 							<!-- Homeplanet Architecture END-->
+
+
+							<!-- Portal-->
+    <Template name=PortalDefault>
+        <PortalEndPoint>
+            <attached>
+                <Model mesh="Spacegate.mesh" yaw="90"/>
+            </attached>
+        </PortalEndPoint>
+    </Template>
+
+    <PortalEndPoint position="-3000,12000,-6990" id="1" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
+    <PortalEndPoint position="-47000,-30000,30000" id="2" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0" pitch = "180"/>
+    <PortalLink fromID="1" toID="2" />
+
+
+							<!-- Portal END-->
+
+
+	<!-- The Cave-->
+<!-- verhaeltniss Cube.mesh <-> Crate.mesh 1:5 -->
+
+					<!-- Enemies-->
+<Turret position="-43700,-30000,30000" pitch="0" yaw="90" roll="90">
+    <templates>
+        <Template link=spaceshipturret />
+    </templates>
+    <controller>
+        <WaypointPatrolController alertnessradius=700 team=3>
+        </WaypointPatrolController>
+     </controller>
+</Turret>
+
+<Turret position="-43700,-30000,33600" pitch="0" yaw="0" roll="0">
+    <templates>
+        <Template link=spaceshipturret />
+    </templates>
+    <controller>
+        <WaypointPatrolController alertnessradius=3000 team=3>
+        </WaypointPatrolController>
+     </controller>
+</Turret>
+
+<Turret position="-43720,-30000,31000" pitch="0" yaw="0" roll="0">
+    <templates>
+        <Template link=spaceshipturret />
+    </templates>
+    <controller>
+        <WaypointPatrolController alertnessradius=3000 team=3>
+        </WaypointPatrolController>
+     </controller>
+</Turret>
+
+<Turret position="-43700,-29980,32100" pitch="0" yaw="0" roll="0">
+    <templates>
+        <Template link=spaceshipturret />
+    </templates>
+    <controller>
+        <WaypointPatrolController alertnessradius=3000 team=3>
+        </WaypointPatrolController>
+     </controller>
+</Turret>
+
+
+ <DistanceTrigger name="Reachedtheend" position="-43700,-29980,33000" target="SpaceShip" distance=300 stayActive="true" delay=0 />
+
+ <SpaceShip position="-42000,-30000,33800" lookat="-1,0,0" name="attacker" radarname="Enemy1" visible="true">
+                            <events>
+                                <visibility>
+                                    <EventListener event="Reachedtheend" />
+                                </visibility>
+                            </events>
+                    <templates>
+                      <Template link=spaceshippirate />
+                    </templates>
+                    <controller>
+                      <WaypointPatrolController alertnessradius=1500  team=3 active=false>
+                         <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="-41200,-30000,33800"/>
+                       </waypoints>
+                       <events>
+                         <activity>
+                              <EventListener event="Reachedtheend" />
+                         </activity>
+                       </events>
+                    </WaypointPatrolController>
+                  </controller>
+                </SpaceShip>
+ <SpaceShip position="-42200,-30000,33800" lookat="-1,0,0" name="attacker" radarname="Enemy2" visible="true">
+                            <events>
+                                <visibility>
+                                    <EventListener event="Reachedtheend" />
+                                </visibility>
+                            </events>
+                    <templates>
+                      <Template link=spaceshippirate />
+                    </templates>
+                    <controller>
+                      <WaypointPatrolController alertnessradius=1500  team=3 active=false>
+                         <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="-41600,-30000,33800"/>
+                       </waypoints>
+                       <events>
+                         <activity>
+                              <EventListener event="Reachedtheend" />
+                         </activity>
+                       </events>
+                    </WaypointPatrolController>
+                  </controller>
+                </SpaceShip>
+ <SpaceShip position="-42400,-30000,33800" lookat="-1,0,0" name="attacker" radarname="Sanchez" visible="true">
+                            <events>
+                                <visibility>
+                                    <EventListener event="Reachedtheend" />
+                                </visibility>
+                            </events>
+                    <templates>
+                      <Template link=spaceshippirate />
+                    </templates>
+                    <controller>
+                      <WaypointPatrolController alertnessradius=1500  team=3 active=false>
+                         <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="-41400,-30000,33800"/>
+                       </waypoints>
+                       <events>
+                         <activity>
+                              <EventListener event="Reachedtheend" />
+                         </activity>
+                       </events>
+                    </WaypointPatrolController>
+                  </controller>
+                </SpaceShip>
+		
+					<!-- Enemies END-->
+
+
+					<!-- 15 Boxes forward-->
+ <?lua
+    max = 15
+    for i = 0, max, 1
+    do
+    y=(i*200)-47200
+
+    ?>
+
+    <?lua
+    for j = 0, 2, 1
+    do
+    z =30200-(j*200)
+    ?>    
+    
+    <?lua
+    for k = 0, 1, 1
+    do
+    x =-30200+(k*400)
+    ?>
+
+
+
+
+  <StaticEntity position="<?lua print(y) ?>,<?lua print(x) ?>,<?lua print(z) ?>" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20"  />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+
+
+    <?lua end ?>
+    <?lua end ?>
+    <?lua end ?>
+
+ <?lua
+    max = 15
+    for i = 0, max, 1
+    do
+    y=(i*200)-47200
+
+    ?>
+    <?lua
+    for j = 0, 1, 1
+    do
+    z =30200-(j*400)
+    ?>    
+  <StaticEntity position="<?lua print(y) ?>,-30000,<?lua print(z) ?>" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+    <?lua end ?>
+    <?lua end ?>
+
+  <StaticEntity position="-47200,-30000,30000" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+
+					<!-- 15 Boxes forward END -->
+					<!-- 18 Boxes right-->
+
+ <?lua
+    max = 18
+    for i = 0, max, 1
+    do
+    z=29800+(i*200)
+
+    ?>
+
+    <?lua
+    for j = 0, 2, 1
+    do
+    y = (j*200)-44000
+    ?>    
+    
+    <?lua
+    for k = 0, 1, 1
+    do
+    x =-30200+(k*400)
+    ?>
+
+
+
+
+  <StaticEntity position="<?lua print(y) ?>,<?lua print(x) ?>,<?lua print(z) ?>" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+
+
+    <?lua end ?>
+    <?lua end ?>
+    <?lua end ?>
+
+ <?lua
+    max = 16
+    for i = 0, max, 1
+    do
+    z = 30200+(i*200)
+
+    ?>
+    <?lua
+    for j = 0, 1, 1
+    do
+     y = (j*400)-44000
+    ?>    
+  <StaticEntity position="<?lua print(y) ?>,-30000,<?lua print(z) ?>" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+    <?lua end ?>
+    <?lua end ?>
+
+  <StaticEntity position="-43600,-30000,30000" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+
+ <?lua
+    for i = 0, 2, 1
+    do
+    y = -44000+(i*200)
+
+    ?>
+  <StaticEntity position="<?lua print(y) ?>,-30000,29800" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+
+    <?lua end ?>
+
+					<!-- 18 Boxes right END-->
+					<!-- 17 Boxes forward-->
+ <?lua
+    max = 17
+    for i = 0, max, 1
+    do
+    y=(i*200)-44000
+
+    ?>
+
+    <?lua
+    for j = 0, 2, 1
+    do
+    z =34000 - (j*200)
+    ?>    
+    
+    <?lua
+    for k = 0, 1, 1
+    do
+    x =-30200+(k*400)
+    ?>
+
+
+
+
+  <StaticEntity position="<?lua print(y) ?>,<?lua print(x) ?>,<?lua print(z) ?>" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+
+
+    <?lua end ?>
+    <?lua end ?>
+    <?lua end ?>
+
+ <?lua
+    max = 15
+    for i = 0, max, 1
+    do
+    y=(i*200)-43600
+
+    ?>
+
+    <?lua
+    for j = 0, 0, 1
+    do
+    z =34000 - (i*5.5)
+    ?>
+
+  <StaticEntity position="<?lua print(y) ?>,-30000,<?lua print(z) ?>" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+
+    <?lua end ?>
+    <?lua end ?>
+ <?lua
+    max = 15
+    for i = 0, max, 1
+    do
+    y=(i*200)-43600
+
+    ?>
+
+    <?lua
+    for j = 0, 0, 1
+    do
+    z =33600 + (i*5.5)
+    ?>
+
+  <StaticEntity position="<?lua print(y) ?>,-30000,<?lua print(z) ?>" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+    <?lua end ?>
+    <?lua end ?>
+
+
+ <?lua
+    for i = 0, 1, 1
+    do
+    y = -44000+(i*200)
+
+    ?>
+  <StaticEntity position="<?lua print(y) ?>,-30000,34000" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+
+    <?lua end ?>
+
+  <StaticEntity position="-44000,-30000,33800" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+
+  <StaticEntity position="-44000,-30000,33600" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="20,20,20" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+
+      </collisionShapes>
+</StaticEntity>
+					<!-- 17 Boxes forward END-->
+    <Billboard position="-41000,-30000,33800" material="Flares/backlightflare" colour="0,1.4,2.1" scale=15 />
+
+  <StaticEntity position="-40400,-30000,33800" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
+     <attached>
+        <Model position="0,0,0" mesh="cube_green.mesh" scale3D="100,100,100" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,100" />
+      </collisionShapes>
+</StaticEntity>
+
+<!-- FORCEFIELD -->
+<ForceField position="-47000,-30000,30000" direction="1,0,0" diameter=2000 velocity=2000 length=2000 />
+
+
+	<!-- The Cave END-->
+
+	<!-- Planet around the cave-->
+
+  </Scene>
+</Level>
+
+
+
Index: code/branches/presentationHS13/data/levels/gallery.oxw
===================================================================
--- code/branches/presentationHS13/data/levels/gallery.oxw	(revision 9923)
+++ code/branches/presentationHS13/data/levels/gallery.oxw	(revision 9924)
@@ -152,5 +152,5 @@
       <!--Model position="0,80,200" yaw="90" pitch="-90" roll="0" scale="5" mesh="SmallPart1.mesh" /-->
       <Model position="0,-20,200" yaw="90" pitch="-90" roll="0" scale="4" mesh="raceCheckPoint.mesh" />
-      <Model position="0,-40,200" yaw="90" pitch="-90" roll="0" scale="0.5" mesh="Spacegate.mesh" />
+      <Model position="0,-40,200" yaw="90" pitch="0" roll="0" scale="0.5" mesh="Spacegate.mesh" />
 
       <Model position="0,-60,200" yaw="90" pitch="-90" roll="0" scale="0.5" mesh="BigSpacegate.mesh" />
Index: code/branches/presentationHS13/data/levels/missionOne.oxw
===================================================================
--- code/branches/presentationHS13/data/levels/missionOne.oxw	(revision 9923)
+++ code/branches/presentationHS13/data/levels/missionOne.oxw	(revision 9924)
@@ -1,3 +1,3 @@
-<!---->
+<!-- -->
 <LevelInfo
  name = "Mission One"
Index: code/branches/presentationHS13/data/levels/pickups.oxw
===================================================================
--- code/branches/presentationHS13/data/levels/pickups.oxw	(revision 9923)
+++ code/branches/presentationHS13/data/levels/pickups.oxw	(revision 9924)
@@ -1,2 +1,3 @@
+<!-- -->
 <LevelInfo
  name = "Pickups showcase"
Index: code/branches/presentationHS13/data/levels/portals.oxw
===================================================================
--- code/branches/presentationHS13/data/levels/portals.oxw	(revision 9923)
+++ code/branches/presentationHS13/data/levels/portals.oxw	(revision 9924)
@@ -1,2 +1,3 @@
+<!-- -->
  
 <LevelInfo
Index: code/branches/presentationHS13/data/levels/presentation.oxw
===================================================================
--- code/branches/presentationHS13/data/levels/presentation.oxw	(revision 9923)
+++ code/branches/presentationHS13/data/levels/presentation.oxw	(revision 9924)
@@ -1,2 +1,3 @@
+<!-- -->
 <LevelInfo
  name = "Presentation"
Index: code/branches/presentationHS13/data/levels/templates/lodInformation.oxt
===================================================================
--- code/branches/presentationHS13/data/levels/templates/lodInformation.oxt	(revision 9923)
+++ code/branches/presentationHS13/data/levels/templates/lodInformation.oxt	(revision 9924)
@@ -17,4 +17,11 @@
       <MeshLodInformation mesh=turretHead.mesh enabled=false />
       <MeshLodInformation mesh=LaserBeam2.mesh enabled=false/>
+      <MeshLodInformation mesh=asteroid_ice.mesh enabled=false/>
+      <MeshLodInformation mesh=ast1.mesh  lodQuality=0.1/>
+      <MeshLodInformation mesh=ast2.mesh  lodQuality=0.1/>
+      <MeshLodInformation mesh=ast3.mesh  lodQuality=0.1/>
+      <MeshLodInformation mesh=ast4.mesh  lodQuality=0.1/>
+      <MeshLodInformation mesh=ast5.mesh  lodQuality=0.1/>
+      <MeshLodInformation mesh=ast6.mesh  lodQuality=0.1/>
 
       <!-- disable LOD for some debris meshes which caused a crash (fixed in Ogre 1.7.3) -->
@@ -31,8 +38,8 @@
       <MeshLodInformation mesh=HeavyCruiser_sidearmRfront.mesh enabled=false/>
 
-	<MeshLodInformation mesh=ss_cylinder.mesh enabled=false/>
-	<MeshLodInformation mesh=ss_chair.mesh enabled=false/>
-	<MeshLodInformation mesh=ss_flag_room.mesh enabled=false/>
-	<MeshLodInformation mesh=ss_wall.mesh enabled=false/>
+	  <MeshLodInformation mesh=ss_cylinder.mesh enabled=false/>
+	  <MeshLodInformation mesh=ss_chair.mesh enabled=false/>
+	  <MeshLodInformation mesh=ss_flag_room.mesh enabled=false/>
+	  <MeshLodInformation mesh=ss_wall.mesh enabled=false/>
 
     </lodinformation>
Index: code/branches/presentationHS13/data/levels/turretTest.oxw
===================================================================
--- code/branches/presentationHS13/data/levels/turretTest.oxw	(revision 9923)
+++ code/branches/presentationHS13/data/levels/turretTest.oxw	(revision 9924)
@@ -1,2 +1,4 @@
+<!-- -->
+
 <LevelInfo
  name = "turret Test"
@@ -44,5 +46,5 @@
 
 
-<Turret position="0,10,0" pitch="90" yaw="0" roll="0">
+<Turret position="-43600,-30500,30000" pitch="90" yaw="0" roll="0">
     <templates>
         <Template link=spaceshipturret />
